ParseException (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.text
Class ParseException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.text.ParseException

All Implemented Interfaces:
  Serializable

public class ParseException
extends Exception

Signals that an error has been reached unexpectedly while parsing.

See Also:
  `Exception`, `Format`, `FieldPosition`, Serialized Form

Constructor Summary
`ParseException(String s, int errorOffset)` Constructs a ParseException with the specified detail message and offset.

Method Summary
`int` | `getErrorOffset()` Returns the position where the error was found.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParseException

    public ParseException(String s,
                          int errorOffset)

  Constructs a ParseException with the specified detail message and offset. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the detail message
  `errorOffset` - the position where the error is found while parsing.

Method Detail

### getErrorOffset

    public int getErrorOffset()

  Returns the position where the error was found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.